<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- qt-scxml-module.qdoc -->
  <title>Qt.scxml QML Type | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<p class="naviNextPrevious headerNavi">
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#properties">Properties</a></li>
<li class="level1"><a href="#details">Detailed Description</a></li>
<li class="level2"><a href="#relevant-file-tags">Relevant File Tags</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Qt.scxml QML Type</h1>
<span class="subtitle"></span>
<!-- $$$Qt.scxml-brief -->
<p>Provides Qt SCXML support. <a href="#details">More...</a></p>
<!-- @@@Qt.scxml -->
<div class="table"><table class="alignedsummary">
<tr><td class="memItemLeft rightAlign topAlign"> Import Statement:</td><td class="memItemRight bottomAlign"> import QbsModules .</td></tr></table></div><ul>
<li><a href="qml-qbsmodules-qt-scxml-members.html">List of all members, including inherited members</a></li>
</ul>
<a name="properties"></a>
<h2 id="properties">Properties</h2>
<ul>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-scxml.html#className-prop">className</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-scxml.html#generateStateMethods-prop">generateStateMethods</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-scxml.html#namespace-prop">namespace</a></b></b> : string</li>
<li class="fn"><b><b><a href="qml-qbsmodules-qt-scxml.html#qscxmlcName-prop">qscxmlcName</a></b></b> : string</li>
</ul>
<!-- $$$Qt.scxml-description -->
<a name="details"></a>
<h2 id="details">Detailed Description</h2>
<p>The Qt.scxml module provides support for the Qt SCXML module, which enables creating state machines from SCXML files.</p>
<a name="relevant-file-tags"></a>
<h3 id="relevant-file-tags">Relevant File Tags</h3>
<a name="filetags-scxml"></a><div class="table"><table class="generic">
 <thead><tr class="qt-style"><th >Tag</th><th >Auto-tagged File Names</th><th >Since</th><th >Description</th></tr></thead>
<tr valign="top" class="odd"><td ><code>&quot;qt.scxml.compilable&quot;</code></td><td >-</td><td >1.7</td><td >Source files with this tag serve as inputs to the rule running the Qt SCXML compiler, which will create a C++ class representing a state machine.</td></tr>
</table></div>
<!-- @@@Qt.scxml -->
<h2>Property Documentation</h2>
<!-- $$$className -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="className-prop">
<td class="tblQmlPropNode"><p>
<span class="name">className</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The class name of the generated state machine.</p>
<p>By default, the compiler will use the <code>name</code> attribute of the input file's <code>&lt;scxml&gt;</code> tag.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@className -->
<br/>
<!-- $$$generateStateMethods -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="generateStateMethods-prop">
<td class="tblQmlPropNode"><p>
<span class="name">generateStateMethods</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>If this property is <code>true</code>, the Qt SCXML compiler will generate read and notify methods for states.</p>
<p>Default: <code>false</code></p>
<p>This property was introduced in Qt 1.11.</p>
</div></div><!-- @@@generateStateMethods -->
<br/>
<!-- $$$namespace -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="namespace-prop">
<td class="tblQmlPropNode"><p>
<span class="name">namespace</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The C++ namespace in which to put the generated class.</p>
<p>By default, the compiler will place the class in the global namespace.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@namespace -->
<br/>
<!-- $$$qscxmlcName -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="qscxmlcName-prop">
<td class="tblQmlPropNode"><p>
<span class="name">qscxmlcName</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The base name of the Qt SCXML compiler.</p>
<p>Set this value if your system uses a name different from the default value.</p>
<p>Default: <code>&quot;qscxmlc&quot;</code></p>
</div></div><!-- @@@qscxmlcName -->
<br/>
<p class="naviNextPrevious footerNavi">
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
